% ------------------------------>  INVINIT.M  <------------------------------

% ----------      Switches       -----------
regty      ='pidff';         % Controller type (pid, pidff, ff, none)
refty      ='siggener';      % Reference signal (siggener/<var. name>)
simul      ='simulink';      % Control object spec. (simulink/matlab/nnet)


% ------    General Initializations  -------
Ts = 0.20;                   % Sampling period (in seconds)
samples = 200 ;              % Number of samples to be simulated


% --  System to be Controlled (SIMULINK) --
sim_model = 'spm1';          % Name of SIMULINK model


% --  System to be Controlled (MATLAB)  --
mat_model = 'springm';       % Name of MATLAB model
model_out = 'smout';         % Output equation (function of the states)
x0        = [0;0];           % Initial states
 

% --  System to be Controlled (Neural Net) --
% Only used if simul='nnet'
% The file must contain: NetDeff, W1f, W2f, NN
nnforw = 'forward';          % Name of file


% ----- Inverse Network Specification ------
% The file must contain the variables:
% NNi, NetDefi, W1i, W2i
% (i.e. regressor structure, architecture definition, and weight matrices)
nninv = 'inverse2';          % Name of file
NNi=[2 2 1];


% ----------- Reference Filter -------------
Am = [1];                    % Filter denominator
Bm = [1];                    % Filter numerator


% ------------ Reference signal ------------
dc      = 0;                 % DC-level
sq_amp  = 1;                 % Amplitude of square signals (row vector)
sq_freq = 0.1;               % Frequency of square signals (column vector)
sin_amp = [0];               % Amplitude of sine signals (row vector)
sin_freq= [0]';              % Frequency of sine signals   (column vector)
Nvar  = 0';                  % Variance of white noise signal


% --------  Linear Controller Parameters  --------- 
K=8;                         % PID parameters
Td=0.8;                      % PID
alf=0.1;                     % PID
Wi=0.2;                      % PID (1/Ti)


% ------- Specify data vectors to plot --------
% Notice that all strings in plot_a and plot_b, resp. MUST have the same length
plot_a(1,:) = 'ref_data    ';
plot_a(2,:) = 'y_data      ';
plot_b(1,:) = 'u_data         ';
plot_b(2,:) = 'uff_data       ';
plot_b(3,:) = 'u_data-uff_data';


